JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const response = await client.browsers.process.kill('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
id: 'id',
signal: 'TERM',
});
console.log(response.ok);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
response = client.browsers.process.kill(
process_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="id",
signal="TERM",
)
print(response.ok)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Browsers.Process.Kill(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
kernel.BrowserProcessKillParams{
ID: "id",
Signal: kernel.BrowserProcessKillParamsSignalTerm,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Ok)
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/{process_id}/kill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signal": "TERM"
}
'
{
"ok": true
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browser Processes
Send signal to process
POST
/
browsers
/
{id}
/
process
/
{process_id}
/
kill
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const response = await client.browsers.process.kill('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
id: 'id',
signal: 'TERM',
});
console.log(response.ok);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
response = client.browsers.process.kill(
process_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="id",
signal="TERM",
)
print(response.ok)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Browsers.Process.Kill(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
kernel.BrowserProcessKillParams{
ID: "id",
Signal: kernel.BrowserProcessKillParamsSignalTerm,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Ok)
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Signal to send to the process.
Signal to send.
Available options:
TERM, KILL, INT, HUP Response
OK
Generic OK response.
Indicates success.
⌘I